gi-xlib-2.0.2: xlib bindings

Copyright | Will Thompson Iñaki García Etxebarria and Jonas Platte
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria (garetxe@gmail.com)
Safe Haskell | None
Language | Haskell2010

GI.Xlib.Structs.XImage

Contents

- Exported types

Description

No description available in the introspection data.

Synopsis

- newtype XImage = XImage (ManagedPtr XImage)
- noXImage :: Maybe XImage

# Exported types

newtype XImage Source #

Memory-managed wrapper type.

Constructors

XImage (ManagedPtr XImage) |

Instances

WrappedPtr XImage Source # |
Instance details Defined in GI.Xlib.Structs.XImage Methods wrappedPtrCalloc :: IO (Ptr XImage) Source # wrappedPtrCopy :: XImage -> IO XImage Source # wrappedPtrFree :: Maybe (FunPtr (Ptr XImage -> IO ())) Source #

noXImage :: Maybe XImage Source #

A convenience alias for `Nothing` :: `Maybe` `XImage`.